de.esprit.netsuite.rtask

## Class ClientTaskType

- java.lang.Object
- - de.esprit.appsuite.task.AbstractTaskType
  - - de.esprit.appsuite.task.LocalTaskType
    - - de.esprit.netsuite.rtask.ClientTaskType

- All Implemented Interfaces:
    TaskType, java.io.Serializable

      public class ClientTaskType
      extends LocalTaskType

  Defines the various types of asynchronous local tasks.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClientTaskType` | `CLIENT_COMMAND`
    `static ClientTaskType` | `RECONNECTOR`
    `static ClientTaskType` | `REQUEST_SENDER`

    - ### Fields inherited from class de.esprit.appsuite.task.LocalTaskType

      `ARCHIVE, DATA_PARSER, FILE_READER, FILE_WRITER, JAVA_VM, LOCAL_TASK, OS_PROCESS, SCANNER, STREAM_READER, STREAM_WRITER, SYSTEM_TASK, TASK_COLLECTION, TIMER_TASK, UNARCHIVER, WORKFLOW`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ClientTaskType(java.lang.String typeName, IconKey iconKey)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.appsuite.task.LocalTaskType

      `isLocalTask, isOsProcessTask, isRemoteTask, isWorkflowTask`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractTaskType

      `equals, getName, getRenderIcon, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_COMMAND

          public static final ClientTaskType CLIENT_COMMAND

    - #### RECONNECTOR

          public static final ClientTaskType RECONNECTOR

    - #### REQUEST_SENDER

          public static final ClientTaskType REQUEST_SENDER

  - ### Constructor Detail

    - #### ClientTaskType

          protected ClientTaskType(java.lang.String typeName,
                        IconKey iconKey)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.